// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneComponent.hpp"

namespace Dawn {
  class Player : public SceneComponent {
    protected:
      std::function<void()> listenerUpdate;

    public:
      void onInit() override;
      void onDispose() override;
  };
}