// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Player.hpp"
#include "scene/Scene.hpp"
#include "input/InputBinds.hpp"

using namespace Dawn;

void Player::onInit() {
  listenerUpdate = getScene()->onUnpausedUpdate.listen([this](float delta) {
    InputManager &im = getGame()->inputManager;
    if(im.isDown(InputBind::Up)) {
      
    }
  });
}

void Player::onDispose() {
  listenerUpdate();
}